> ## Documentation Index
> Fetch the complete documentation index at: https://docs.kibocommerce.com/llms.txt
> Use this file to discover all available pages before exploring further.

# Transition Cart

> Transitions a cart allocation into a normal order/shipment allocation



## OpenAPI

````yaml /openapi/openapi_inventory.json post /commerce/inventory/v5/inventory/transitionCart
openapi: 3.0.0
info:
  description: |-
    <div id="overview_INVENTORY">
                <h2>INVENTORY</h2>
                <p>Use the Inventory API to retrieve the inventory levels of requested products, refresh and adjust current
                    stock levels at fulfillment locations, and tag segmented inventory for different channels. When using tags for inventory segmentation, inventory records are separated into categories to identify
                    which portions of its
                    total quantity are intended for different channels, customer groups, fulfillment methods, or other
                    needs.
                    This allows for setting a percentage of the quantity that would be available for each category and
                    setting discrete units at the location level as available for each category. For example, tags could
                    define how much of each
                    inventory record is set aside for a certain sales channel: the Kibo storefront, Walmart, or Amazon. The
                    percentages of the
                    inventory allotted for each channel would add up to 100% - the Kibo storefront could have 80% of the
                    inventory, Amazon 10%, and Walmart 10%. For more information, see the <a href="/developer-guides/inventory">Inventory guides</a>.</p>
                <p>Use the <strong>Inventory</strong>, <strong>Inventory Allocation</strong>, and <strong>Modify Inventory</strong> resources to retrieve and update inventory levels.</p>  
                <p>Use the <strong>Inventory Job</strong> resource to retrieve information about your pending inventory update processing jobs.</p> 
                <p>Use the <strong>Inventory Tag</strong> and <strong>Tag Category</strong> resources to segment your inventory records.</p> 
            </div>
  title: Inventory
  version: 0.0.1
servers:
  - description: Kibo Base URL
    url: '{baseUrl}/api'
    variables:
      baseUrl:
        default: https://t1000000.sb.usc1.gcp.kibocommerce.com
        description: Base URL
security:
  - bearerAuth: []
paths:
  /commerce/inventory/v5/inventory/transitionCart:
    post:
      tags:
        - InventoryAllocation
      summary: Transition Cart
      description: Transitions a cart allocation into a normal order/shipment allocation
      parameters: []
      requestBody:
        $ref: '#/components/requestBodies/TransitionCartRequest'
      responses:
        '200':
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/BaseResponse'
          description: Success
        '500':
          content:
            application/json:
              schema:
                properties:
                  error:
                    type: string
                  message:
                    $ref: '#/components/schemas/BaseResponse'
                type: object
          description: Internal Server Error
components:
  requestBodies:
    TransitionCartRequest:
      content:
        application/json:
          schema:
            $ref: '#/components/schemas/TransitionCartRequest'
      description: >-
        Request needed for transitioning cart allocations to order/shipment
        allocations
      required: true
  schemas:
    BaseResponse:
      description: Base Response Model
      properties:
        messages:
          description: List of messages
          items:
            type: string
          type: array
        numResults:
          description: Number of results
          type: integer
        success:
          description: Flag for success
          type: boolean
      title: Base Response
      type: object
    TransitionCartRequest:
      description: >-
        Request needed for transitioning cart allocations to order/shipment
        allocations
      properties:
        cartID:
          description: Cart ID that we are transitioning the allocation from
          type: string
        items:
          description: list of TransitionCartItem
          items:
            $ref: '#/components/schemas/TransitionCartItem'
          type: array
        locationCode:
          description: Location Code
          title: location code
          type: string
        orderID:
          description: Order ID for the cart to transition to
          type: integer
        pageNum:
          description: which page to show
          type: integer
        pageSize:
          description: how many results to show per page
          type: integer
        sortBy:
          description: index to sort results by
          type: string
        userID:
          description: user id
          type: integer
      title: Transition Cart Request
      type: object
    TransitionCartItem:
      description: Item for Transitioning Cart allocations
      properties:
        cartItemID:
          description: Cart Item ID (GUID)
          title: Cart Item ID
          type: string
        orderItemID:
          description: order item ID
          title: order item ID
          type: integer
        shipmentID:
          description: shipment ID
          title: shipment ID
          type: integer
        transitionItemID:
          description: >-
            If provided, overrides the order item ID (orderItemID) in the db
            records
          title: transition item ID
          type: integer
      required:
        - orderItemID
        - cartItemID
        - shipmentID
      title: TransitionCartItem
      type: object
  securitySchemes:
    bearerAuth:
      bearerFormat: JWT
      description: JWT Authorization header using the Bearer scheme.
      scheme: bearer
      type: http

````